// =====================================================
//
//   miniLA_win
//
//   (c) miniLA Team
//
// =====================================================
//
// This is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2, or (at your option)
// any later version.
//
// This software is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this package; see the file COPYING.  If not, write to
// the Free Software Foundation, Inc., 59 Temple Place - Suite 330,
// Boston, MA 02111-1307, USA.


program minila;

uses
  Forms,
  dlgMain in 'dlgMain.pas' {frmMain},
  uDisplay in 'uDisplay.pas',
  dlgTrigger in 'dlgTrigger.pas' {frmTrigger},
  dlgChannel in 'dlgChannel.pas' {frmChannel},
  dlgGroup in 'dlgGroup.pas' {frmGroup},
  uCommunication in 'uCommunication.pas',
  dlgColors in 'dlgColors.pas' {frmColors},
  dlgSetZoomPos in 'dlgSetZoomPos.pas' {frmSetZoomPos},
  dlgIO_LPT in 'dlgIO_LPT.pas' {frmIO_LPT},
  dlgHWSetup in 'dlgHWSetup.pas' {frmHWSetup},
  dlgSetup in 'dlgSetup.pas' {frmSetup},
  dlgChannelList in 'dlgChannelList.pas' {frmChannelList},
  uLATypes in 'uLATypes.pas',
  dlgAbout in 'dlgAbout.pas' {AboutBox},
  uUtils in 'uUtils.pas',
  dlgPortStatus in 'dlgPortStatus.pas' {frmPortStatus},
  dlgDec232 in 'dlgDec232.pas' {frmDec232},
  dlgDecI2C in 'dlgDecI2C.pas' {frmDecI2C},
  dlgDecSPI in 'dlgDecSPI.pas' {frmDecSPI},
  dlgDecDisplay in 'dlgDecDisplay.pas' {frmDecDisplay},
  uDecUtils in 'uDecUtils.pas',
  D2XXUnit in 'D2XXUnit.pas',
  dlgIO_USB in 'dlgIO_USB.pas' {frmIO_USB},
  uINIfile in 'uINIfile.pas',
  dlgDecPWM in 'dlgDecPWM.pas' {frmDecPWM},
  uDataHold in 'uDataHold.pas',
  uFileUtils in 'uFileUtils.pas';

{$R *.RES}

begin
  Application.Initialize;
  Application.Title := 'miniLA';
  Application.CreateForm(TfrmMain, frmMain);
  Application.CreateForm(TfrmChannel, frmChannel);
  Application.CreateForm(TfrmTrigger, frmTrigger);
  Application.CreateForm(TfrmGroup, frmGroup);
  Application.CreateForm(TfrmColors, frmColors);
  Application.CreateForm(TfrmSetZoomPos, frmSetZoomPos);
  Application.CreateForm(TfrmIO_LPT, frmIO_LPT);
  Application.CreateForm(TfrmHWSetup, frmHWSetup);
  Application.CreateForm(TfrmSetup, frmSetup);
  Application.CreateForm(TfrmChannelList, frmChannelList);
  Application.CreateForm(TAboutBox, AboutBox);
  Application.CreateForm(TfrmPortStatus, frmPortStatus);
  Application.CreateForm(TfrmDec232, frmDec232);
  Application.CreateForm(TfrmDecI2C, frmDecI2C);
  Application.CreateForm(TfrmDecSPI, frmDecSPI);
  Application.CreateForm(TfrmDecDisplay, frmDecDisplay);
  Application.CreateForm(TfrmIO_USB, frmIO_USB);
  Application.CreateForm(TfrmDecPWM, frmDecPWM);
  frmMain.FormStart;					// run after creation
  Application.Run;
end.
